<p>What are people's motivations? How does the project work? What type of work would people accept? We already covered some of these topics, and will now focus on the practical aspects, explicit and implicit rules.</p>
<h5>What kind of interactions are you talking about?</h5>
<p>If you want to introduce a change, you will usually have to discuss your plans, explain and describe your changes and defend them, understand what reviewers care about (and why), and answer them. If the project has few people in it, you may also need to discuss to get someone to look at your code, and sometimes some kind of permission is needed to be able to use the tools necessary to contribute code effectively (CI, repository write access, etc.)</p>
<div class="flex-container">
<div class="figure-and-caption"><img height="350" src="/static/mod4-push_taking_notes.svg" alt="Push taking notes intensely with word bubbles coming from every direction." /></div>
<div class="side-text">
<p>When in doubt, discussing on chats or on tickets is usually a good place to go: There can be less friction and it's often possible to contribute to fruitful discussions without permissions.</p>
<p>If you plan on staying involved with a project, you are also planning to spend time with contributors, hence getting to know early how they discuss between them, how they welcome newcomers, can teach you lots about the project structure. And if you don't (many contributors are "drive-by" contributors), then knowing how to be most efficient on the social aspects will help you maximize the efficiency of your contributions.</p>
</div>
</div>
<p></p>